MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024814Open CASCADE[OCCT] OCCT:Codingpublic2014-04-09 13:562014-11-11 12:52
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024814: Avoid using explicit names of Handle classes
DescriptionNormally OCCT Handle classes should be referred using macro Handle(T) which currently expands to "Handle_T". However, in many places expanded names are used explicitly. To avoid problems when macro Handle() is changed (in context of 0024023), all such occasions should be corrected to use the macro.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024769closedbugmaster Extend CDL syntax with "imported transient class" keyword 
related to 0024816closedabv Tool for upgrading OCCT and dependent code 
child of 0024023closedabv Revamp the OCCT Handle 

-  Notes
(0028764)
kgv (developer)
2014-04-09 14:40

Patch 0024769 for WOK changes class fields and methods parameters names from Handle_ to Handle() in CDL extractor (CPP_BuildType()).
(0028768)
abv (manager)
2014-04-09 18:50

Fix pushed to CR24814, please review
(0028770)
kgv (developer)
2014-04-09 21:27

Please test the patch.
(0028821)
mkv (tester)
2014-04-14 14:42

Dear BugMaster,

Branch CR24814 was compiled on Linux platform.
SHA-1: bdc1f9293bc7c5fc209082eca8025468bbb00f2d

There are compilation errors:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24814/job/mnt-CR24814-master_build_occt_linux/2/parsed_console/? [^]

In file included from ../../../../drv/IntPatch/IntPatch_CurvIntSurf_0.cxx:6:
../../../../inc/IntPatch_CurvIntSurf.hxx:23:35: error: IntPatch_CSFunction.hxx: No such file or directory

In file included from ../../../../drv/IntPatch/IntPatch_CurvIntSurf_0.cxx:6:
../../../../inc/IntPatch_CurvIntSurf.hxx:86: error: field ‘myFunction’ has incomplete type
In file included from ../../../../drv/IntPatch/IntPatch_CurvIntSurf_0.cxx:49:
../../../../inc/IntImp_IntCS.gxx: In constructor ‘IntPatch_CurvIntSurf::IntPatch_CurvIntSurf(Standard_Real, Standard_Real, Standard_Real, const IntPatch_CSFunction&, Standard_Real, Standard_Real)’:
../../../../inc/IntImp_IntCS.gxx:35: error: class ‘IntPatch_CurvIntSurf’ does not have any field named ‘myFunction’
../../../../inc/IntImp_IntCS.gxx:39: error: ‘myFunction’ was not declared in this scope
../../../../inc/IntImp_IntCS.gxx: In constructor ‘IntPatch_CurvIntSurf::IntPatch_CurvIntSurf(const IntPatch_CSFunction&, Standard_Real)’:
../../../../inc/IntImp_IntCS.gxx:72: error: class ‘IntPatch_CurvIntSurf’ does not have any field named ‘myFunction’
../../../../inc/IntImp_IntCS.gxx: In member function ‘void IntPatch_CurvIntSurf::Perform(Standard_Real, Standard_Real, Standard_Real, math_FunctionSetRoot&, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real)’:
../../../../inc/IntImp_IntCS.gxx:93: error: ‘myFunction’ was not declared in this scope
../../../../inc/IntImp_IntCS.gxx: In member function ‘const gp_Pnt& IntPatch_CurvIntSurf::Point() const’:
../../../../inc/IntImp_IntCS.gxx:142: error: ‘myFunction’ was not declared in this scope
../../../../inc/IntImp_IntCS.gxx: In member function ‘IntPatch_CSFunction& IntPatch_CurvIntSurf::Function()’:
../../../../inc/IntImp_IntCS.gxx:160: error: ‘myFunction’ was not declared in this scope
make[2]: *** [IntPatch_CurvIntSurf_0.lo] Error 1
(0028860)
abv (manager)
2014-04-16 09:45

The reported problems look quite strange: IntPatch_CSFunction is a plain CDL class and IntPatch_CSFunction.hxx should be present if extraction went well. At least, I cannot reproduce this issue.

Please try again building on the updated branch CR24814
(0028971)
mkv (tester)
2014-04-18 15:51

Dear BugMaster,

Branch CR24814 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8aeba2775667c0de9b0e50d8ee98ebf632f3a538

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 413 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351921264 / 352653700
Total CPU difference: 53926.03000000002 / 67343.38000000024

Testing on Windows:
Total MEMORY difference: 380987820 / 380717640
Total CPU difference: 38447.140625 / 39760.234375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 857ffd5e
Timestamp: 2014-04-09 14:48:28
Author: abv
Committer: abv
Details ] Diff ]
0024814: Avoid using explicit names of Handle classes

Sources corrected replacing Handle_XXX by Handle(XXX)
mod - src/Adaptor3d/Adaptor3d_HSurfaceTool.lxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_ApproxAFunction.cxx Diff ] File ]
mod - src/AIS/AIS_AttributeFilter.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_Drawer.cxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.cxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.lxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedShape.cxx Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_TypeFilter.cxx Diff ] File ]
mod - src/AppDef/AppDef_MultiPointConstraint.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/Bnd/Bnd_BoundSortBox2d.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_9.cxx Diff ] File ]
mod - src/BOPCol/BOPCol_BaseAllocator.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_NCVector.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Curve.lxx Diff ] File ]
mod - src/BRep/BRep_CurveOn2Surfaces.cxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_SurfaceTool.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Extremity.lxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_PointOnRst.lxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_ApproxSeewing.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_BaseAllocator.hxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_MatCommands.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_Tool.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Stripe.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff ] File ]
mod - src/Contap/Contap_Contour.cxx Diff ] File ]
mod - src/Contap/Contap_HContTool.cxx Diff ] File ]
mod - src/Contap/Contap_Point.lxx Diff ] File ]
mod - src/Contap/Contap_SurfFunction.lxx Diff ] File ]
mod - src/Convert/Convert_CompPolynomialToPoles.cxx Diff ] File ]
mod - src/DBC/DBC_BaseArray.cxx Diff ] File ]
mod - src/DBC/DBC_DBVArray.hxx Diff ] File ]
mod - src/Draft/Draft_EdgeInfo.cxx Diff ] File ]
mod - src/Dynamic/Dynamic_DynamicInstance.cxx Diff ] File ]
mod - src/Dynamic/Dynamic_FuzzyClass.cxx Diff ] File ]
mod - src/Dynamic/Dynamic_FuzzyInstance.gxx Diff ] File ]
mod - src/Dynamic/Dynamic_MethodDefinitionsDictionary.cxx Diff ] File ]
mod - src/Expr/Expr_BinaryExpression.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_Interpolate.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/Geom2dLProp/Geom2dLProp_Curve2dTool.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_Interpolate.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSplineSurface.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BoundWithSurf.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_ConstrainedFilling.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CoonsAlgPatch.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_NSections.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionGenerator.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SimpleBound.cxx Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
mod - src/GeomLProp/GeomLProp_CurveTool.cxx Diff ] File ]
mod - src/GeomLProp/GeomLProp_SurfaceTool.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BSurfaceTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_SurfaceTool.lxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/Interface/Interface_EntityCluster.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALineToWLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_CSFunction.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_HInterTool.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntSurf/IntSurf_Allocator.hxx Diff ] File ]
mod - src/Law/Law_Interpolate.cxx Diff ] File ]
mod - src/MAT/MAT_Arc.cxx Diff ] File ]
mod - src/MAT/MAT_BasicElt.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.cxx Diff ] File ]
mod - src/Materials/Materials_MaterialDefinition.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_DeformedDataSource.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TransientElem.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseCollection.hxx Diff ] File ]
mod - src/NCollection/NCollection_Handle.hxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_StdBase.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTree.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTreeFiller.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]
mod - src/NIS/NIS_Drawer.cxx Diff ] File ]
mod - src/NIS/NIS_Drawer.hxx Diff ] File ]
mod - src/NIS/NIS_DrawList.cxx Diff ] File ]
mod - src/NIS/NIS_DrawList.hxx Diff ] File ]
mod - src/NIS/NIS_InteractiveContext.cxx Diff ] File ]
mod - src/NIS/NIS_InteractiveContext.hxx Diff ] File ]
mod - src/NIS/NIS_InteractiveObject.cxx Diff ] File ]
mod - src/NIS/NIS_InteractiveObject.hxx Diff ] File ]
mod - src/NIS/NIS_ObjectsIterator.cxx Diff ] File ]
mod - src/NIS/NIS_ObjectsIterator.hxx Diff ] File ]
mod - src/NIS/NIS_SelectFilter.cxx Diff ] File ]
mod - src/NIS/NIS_SelectFilter.hxx Diff ] File ]
mod - src/NIS/NIS_Surface.cxx Diff ] File ]
mod - src/NIS/NIS_Surface.hxx Diff ] File ]
mod - src/NIS/NIS_SurfaceDrawer.cxx Diff ] File ]
mod - src/NIS/NIS_SurfaceDrawer.hxx Diff ] File ]
mod - src/NIS/NIS_Triangulated.cxx Diff ] File ]
mod - src/NIS/NIS_Triangulated.hxx Diff ] File ]
mod - src/NIS/NIS_TriangulatedDrawer.cxx Diff ] File ]
mod - src/NIS/NIS_TriangulatedDrawer.hxx Diff ] File ]
mod - src/NIS/NIS_View.cxx Diff ] File ]
mod - src/NIS/NIS_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CView.hxx Diff ] File ]
mod - src/Plate/Plate_Plate.cxx Diff ] File ]
mod - src/PMMgt/PMMgt_PManaged.cxx Diff ] File ]
mod - src/PNaming/PNaming_Name.lxx Diff ] File ]
mod - src/PNaming/PNaming_Name_1.lxx Diff ] File ]
mod - src/PNaming/PNaming_Name_2.lxx Diff ] File ]
mod - src/Poly/Poly_CoherentNode.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentNode.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriPtr.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriPtr.hxx Diff ] File ]
mod - src/Poly/Poly_ListOfTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.cxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Presentation.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_12.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_4.cxx Diff ] File ]
mod - src/QABugs/QABugs_8.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QABugs/QABugs_MyText.cxx Diff ] File ]
mod - src/QABugs/QABugs_PresentableObject.cxx Diff ] File ]
mod - src/QANCollection/QANCollection4.cxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SortAlgo.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_DataMapOfObjectOwners.hxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBoundData.lxx Diff ] File ]
mod - src/Standard/Standard_Persistent.cxx Diff ] File ]
mod - src/Standard/Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_Type.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/TDF/TDF_HAllocator.hxx Diff ] File ]
mod - src/TDF/TDF_LabelNode.hxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOP.hxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOPCommands.cxx Diff ] File ]
mod - src/TNaming/TNaming_Identifier.cxx Diff ] File ]
mod - src/TObj/TObj_Container.hxx Diff ] File ]
mod - src/TObj/TObj_SequenceOfObject.hxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_traceDSX.hxx Diff ] File ]
mod - src/TopTools/TopTools_MutexForShapeProvider.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.cxx Diff ] File ]
mod - src/Units/Units_UnitsSystem.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ContextView.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_DataMapOfShapeAppearance.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ListOfNode.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_MapOfNode.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.hxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-09 13:56 abv New Issue
2014-04-09 13:56 abv Assigned To => kgv
2014-04-09 14:39 kgv Relationship added related to 0024769
2014-04-09 14:40 kgv Note Added: 0028764
2014-04-09 18:50 abv Note Added: 0028768
2014-04-09 18:50 abv Status new => resolved
2014-04-09 18:51 abv Relationship added child of 0024023
2014-04-09 21:27 kgv Note Added: 0028770
2014-04-09 21:27 kgv Assigned To kgv => bugmaster
2014-04-09 21:27 kgv Status resolved => reviewed
2014-04-10 09:53 abv Relationship added related to 0024816
2014-04-11 14:39 apn Assigned To bugmaster => apn
2014-04-14 14:42 mkv Note Added: 0028821
2014-04-14 14:43 mkv Test case number => Not needed
2014-04-14 14:43 mkv Assigned To apn => abv
2014-04-14 14:43 mkv Status reviewed => assigned
2014-04-16 09:45 abv Note Added: 0028860
2014-04-16 09:45 abv Assigned To abv => mkv
2014-04-16 09:45 abv Status assigned => resolved
2014-04-16 12:57 abv Status resolved => feedback
2014-04-18 15:51 mkv Note Added: 0028971
2014-04-18 16:32 mkv Assigned To mkv => bugmaster
2014-04-18 16:32 mkv Status feedback => tested
2014-04-28 10:27 abv Changeset attached => occt master 857ffd5e
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker